package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaPricePromotionCreatePromotionActivityDo struct {
	/*
	   档期活动开始时间     */
	StartTime *util.LocalTime `json:"start_time,omitempty" `

	/*
	   创建时间，可不传     */
	CreateTime *util.LocalTime `json:"create_time,omitempty" `

	/*
	   店群机构编码     */
	SupplyGroupCodes *[]string `json:"supply_group_codes,omitempty" `

	/*
	   档期活动名称     */
	PromotionName *string `json:"promotion_name,omitempty" `

	/*
	   创建人ID     */
	CreatorId *int64 `json:"creator_id,omitempty" `

	/*
	   档期活动描述     */
	PromotionDesc *string `json:"promotion_desc,omitempty" `

	/*
	   本期不作区分，可不传     */
	SupplierCode *string `json:"supplier_code,omitempty" `

	/*
	   档期活动结束时间     */
	EndTime *util.LocalTime `json:"end_time,omitempty" `

	/*
	   本期不作区分，可不传     */
	OuterPromotionCode *string `json:"outer_promotion_code,omitempty" `

	/*
	   盒马帮商家编码     */
	MerchantCode *string `json:"merchant_code,omitempty" `

	/*
	   创建人名称     */
	Creator *string `json:"creator,omitempty" `
}

func (s *AlibabaPricePromotionCreatePromotionActivityDo) SetStartTime(v util.LocalTime) *AlibabaPricePromotionCreatePromotionActivityDo {
	s.StartTime = &v
	return s
}
func (s *AlibabaPricePromotionCreatePromotionActivityDo) SetCreateTime(v util.LocalTime) *AlibabaPricePromotionCreatePromotionActivityDo {
	s.CreateTime = &v
	return s
}
func (s *AlibabaPricePromotionCreatePromotionActivityDo) SetSupplyGroupCodes(v []string) *AlibabaPricePromotionCreatePromotionActivityDo {
	s.SupplyGroupCodes = &v
	return s
}
func (s *AlibabaPricePromotionCreatePromotionActivityDo) SetPromotionName(v string) *AlibabaPricePromotionCreatePromotionActivityDo {
	s.PromotionName = &v
	return s
}
func (s *AlibabaPricePromotionCreatePromotionActivityDo) SetCreatorId(v int64) *AlibabaPricePromotionCreatePromotionActivityDo {
	s.CreatorId = &v
	return s
}
func (s *AlibabaPricePromotionCreatePromotionActivityDo) SetPromotionDesc(v string) *AlibabaPricePromotionCreatePromotionActivityDo {
	s.PromotionDesc = &v
	return s
}
func (s *AlibabaPricePromotionCreatePromotionActivityDo) SetSupplierCode(v string) *AlibabaPricePromotionCreatePromotionActivityDo {
	s.SupplierCode = &v
	return s
}
func (s *AlibabaPricePromotionCreatePromotionActivityDo) SetEndTime(v util.LocalTime) *AlibabaPricePromotionCreatePromotionActivityDo {
	s.EndTime = &v
	return s
}
func (s *AlibabaPricePromotionCreatePromotionActivityDo) SetOuterPromotionCode(v string) *AlibabaPricePromotionCreatePromotionActivityDo {
	s.OuterPromotionCode = &v
	return s
}
func (s *AlibabaPricePromotionCreatePromotionActivityDo) SetMerchantCode(v string) *AlibabaPricePromotionCreatePromotionActivityDo {
	s.MerchantCode = &v
	return s
}
func (s *AlibabaPricePromotionCreatePromotionActivityDo) SetCreator(v string) *AlibabaPricePromotionCreatePromotionActivityDo {
	s.Creator = &v
	return s
}
